> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Integration Info

> Information about the data provided by each integration.



## OpenAPI

````yaml get /integrations/{integration_type}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /integrations/{integration_type}:
    get:
      summary: Integration Info
      description: Information about the data provided by each integration.
      operationId: get_get_integration_info
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: query
          name: integration_name
          description: >-
            Filter integrations by name. Supports eq, neq, in, and nin (e.g.
            integration_name[in]=shipbob,packiyo).
          schema:
            $ref: '#/components/schemas/AllowedOperators'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: actions
          description: >-
            A comma separated list of actions an integration must support to be
            included (e.g. get_orders,get_inventory).
          schema:
            type: array
            example: get_orders,get_inventory
            items:
              type: string
              description: ''
          required: false
          explode: true
          style: form
        - in: path
          name: integration_type
          description: The type of integration to filter by.
          schema:
            type: string
            enum:
              - wms
              - freight
              - cart
              - carrier
              - erp
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationsResponseSchema'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    AllowedOperators:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: shipbob
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
      additionalProperties: false
      title: AllowedOperators
    IntegrationsResponseSchema:
      type: object
      properties:
        data:
          type: array
          description: Integration Info
          items:
            $ref: '#/components/schemas/IntegrationInfo'
      required:
        - data
      additionalProperties: false
      title: IntegrationsResponseSchema
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    IntegrationInfo:
      type: object
      properties:
        integration_name:
          type: string
          description: The name of the integration.
          example: shipbob
        display_name:
          type: string
          description: The display name of the integration.
          example: ShipBob
        install_method:
          type: string
          enum:
            - input
            - oauth
          description: How users install the integration within the Trackstar Modal.
          example: input
        description:
          type: string
          description: A description of the integration.
          example: description
        logo_url:
          type: string
          description: The URL of the integration's logo.
          example: https://example.com/logo.png
        installation_guide_url:
          type:
            - string
            - 'null'
          description: The URL of the installation guide.
          example: https://trackstar.notion.site
        docs:
          description: >-
            The documentation for the integration. Can be a string or a
            dictionary of strings. May not be available
        write_operations:
          type: array
          description: The write operations supported by the integration.
          items:
            $ref: '#/components/schemas/WriteOperation'
        list_operations:
          type: array
          description: The list operations supported by the integration.
          items:
            $ref: '#/components/schemas/ListOperation'
        available_actions:
          type: array
          description: The actions supported by the integration.
          example:
            - create_order
            - get_inventory
          items:
            type: string
            description: Action supported by the integration
      required:
        - available_actions
        - description
        - display_name
        - docs
        - install_method
        - installation_guide_url
        - integration_name
        - list_operations
        - logo_url
        - write_operations
      additionalProperties: false
      title: IntegrationInfo
    WriteOperation:
      type: object
      properties:
        action:
          type: string
          description: The action that can be performed.
          example: create_order
        url:
          type: string
          description: The URL for the action.
          example: POST /wms/orders
        required_base_schema_fields:
          type: array
          description: The required fields for the action.
          example:
            - line_items.product_id
            - line_items.quantity
          items:
            type: string
            description: Field required for the action.
        optional_base_schema_fields:
          type: array
          description: The optional fields for the action.
          example:
            - order_number
            - line_items
            - trading_partner
          items:
            type: string
            description: Field optional for the action.
        integration_specific_fields:
          $ref: '#/components/schemas/IntegrationSpecificFields'
      required:
        - action
        - integration_specific_fields
        - optional_base_schema_fields
        - required_base_schema_fields
        - url
      additionalProperties: false
      title: WriteOperation
    ListOperation:
      type: object
      properties:
        action:
          type: string
          description: The action that can be performed.
          example: get_inventory
        url:
          type: string
          description: The URL for the action.
          example: GET /wms/inventory
        implemented_fields:
          type: object
          description: The fields that are implemented for the action.
          example:
            onhand: true
            lots:
              - lot_id: true
                expiration_date: true
                onhand: true
                warehouse_id: true
            substitute_skus: false
            inventory_by_warehouse_id:
              key:
                committed: true
                fulfillable: true
                onhand: true
                awaiting: true
                unfulfillable: true
                sellable: true
            sellable: true
            created_date: true
            fulfillable: true
            trackstar_created_date: true
            awaiting: true
            name: true
            locations:
              - location_id: true
                quantity: true
                warehouse_id: true
            active: true
            committed: true
            measurements: false
            unfulfillable: true
            warehouse_customer_id: true
            trackstar_updated_date: true
            id: true
            connection_id: true
            external_system_url: false
            sku: true
            updated_date: true
          additionalProperties:
            description: >-
              A Boolean indicating if the field is implemented, or an object or
              list with more details.
      required:
        - action
        - implemented_fields
        - url
      additionalProperties: false
      title: ListOperation
    IntegrationSpecificFields:
      type: object
      properties:
        properties:
          type: object
          description: The integration specific fields and their definitions.
          example:
            warehouse_id:
              title: warehouse_id
              type: string
              description: The warehouse this order was shipped from.
              example: ''
              enum:
                - N/A - Connect an account to see options
          additionalProperties: {}
        type:
          type: string
          description: The type of the integration specific fields.
          example: object
        required_fields:
          type: array
          description: The required fields for the integration specific fields.
          example:
            - warehouse_id
          items:
            type: string
            description: Field required for the integration specific fields.
      required:
        - properties
        - type
      additionalProperties: false
      title: IntegrationSpecificFields

````